# Flutter Tips

[![Twitter Follow](https://img.shields.io/twitter/follow/TesteurManiak?style=social)](https://twitter.com/TesteurManiak)

Some tips and tricks in Flutter & Dart.

# Table of Contents

* [Test with](#test-with)
* [Override Asset Bundle](#override-asset-bundle)
* [Price Format](#price-format)
* [Deep Checkbox](#deep-checkbox)
* [Translated Locale Name](#translated-locale-name)
* [Go Router Uri](#go-router-uri)
* [Json Object Model](#json-object-model)
* [Pump App Tester](#pump-app-tester)
* [Safe Complete](#safe-complete)
* [Stream Converter](#stream-converter)
* [String contains diacritics insensitive](#string-contains-diacritics-insensitive)
* [Stacked Gradients](#stacked-gradients)
* [Compare two versions](#compare-two-versions)
* [Benchmark async method](#benchmark-async-method)
* [JSON decoding](#json-decoding)

# Test with

[Source Code](source/test_with.dart)

![](images/test_with.png)

# Override Asset Bundle

[Source Code](source/override_asset_bundle.dart)

![](images/fallback_asset_bundle.png)

# Price Format

[Source code](source/price_format.dart)

[Try a demo](https://dartpad.dev/?id=db6fd485e310437f816bb0d32635803c)

![](images/price_format.png)

# Deep Checkbox

[Source code](source/deep_checkbox.dart)

[Try a demo](https://dartpad.dev/?id=ae8fcb79313fecd4117c83aea43dae5c)

![](images/deep_checkbox.gif)

# Translated Locale Name

[Source code](source/translated_locale_name.dart)

![](images/translated_locale_name.png)

# Go Router Uri

[Source code](source/go_router_uri.dart)

![](images/go_router_uri.png)

# Json Object Model

[Source Code](source/json_object_model.dart)

![](images/json_object_model.png)

# Pump App Tester

[Source Code](source/pump_app_tester.dart)

![](images/pump_app_tester.png)

# Safe Complete

[Source Code](source/safe_complete.dart)

![](images/safe_complete.png)

# Stream Converter

[Source Code](source/stream_converter.dart)

![](images/stream_converter.png)

# String contains diacritics insensitive

[Source Code + Tests](source/contains_no_diacritics.dart)

![](images/contains_no_diacritics.png)

# Stacked gradients

[Source Code](source/stacked_gradients.dart)

[Try a demo](https://dartpad.dev/?id=0164591f591b08e52c6785307e52fd4f)

![](images/stacked_gradients.png)

# Compare two versions

[Source Code + Tests](source/is_version_greater_than.dart)

![](images/is_version_greater_than.png)

# Benchmark async method

[Source Code](source/benchmark_async.dart)

![](images/benchmark_async.png)

# JSON decoding

[Source Code + Tests](source/json_try_decode.dart)

![](images/json_try_decode.png)

# Credits

* **Inspiration**: [vandadnp's](https://github.com/vandadnp) repository [flutter-tips-and-tricks](https://github.com/vandadnp/flutter-tips-and-tricks)
* **Code snippets**: [CodeSnap](https://marketplace.visualstudio.com/items?itemName=adpyke.codesnap)
